## anjuta-convert anjuta-convert |

## Functions

GQuark | anjuta_convert_error_quark ()
gchar * | anjuta_convert_to_utf8 ()
gchar * | anjuta_convert_from_utf8 ()

## Types and Values

enum | AnjutaConvertError
#define | ANJUTA_CONVERT_ERROR

## Description

## Functions

### anjuta_convert_error_quark ()

    GQuark
    anjuta_convert_error_quark (void);

#### Returns

### anjuta_convert_to_utf8 ()

    gchar *
    anjuta_convert_to_utf8 (const gchar *content,
                            gsize len,
                            const AnjutaEncoding **encoding,
                            gsize *new_len,
                            GError **error);

#### Returns

### anjuta_convert_from_utf8 ()

    gchar *
    anjuta_convert_from_utf8 (const gchar *content,
                              gsize len,
                              const AnjutaEncoding *encoding,
                              gsize *new_len,
                              GError **error);

#### Returns

## Types and Values

### enum AnjutaConvertError

Possibly errors that can occur during charset conversion

#### Members

ANJUTA_CONVERT_ERROR_AUTO_DETECTION_FAILED | The charset couldn't be autodetected |

### ANJUTA_CONVERT_ERROR

    #define ANJUTA_CONVERT_ERROR anjuta_convert_error_quark()